<div>
    <div class="sort-button-container">
        <button [ngClass]="byNameAsc || byNameDesc ? 'sort-shop-button-selected' : 'sort-shop-button'" (click)="onSort('byName')">{{ "ByName" | localize }}</button>
        <img  [ngClass]="byNameAsc ? 'img-sort-asc' : 'collapse-img'" src="assets/arrow-up.png">
        <img [ngClass]="byNameDesc ? 'img-sort-desc' : 'collapse-img'" src="assets/arrow-up.png">

        <button [ngClass]="byPriceAsc || byPriceDesc ? 'sort-shop-button-selected' : 'sort-shop-button'" (click)="onSort('byPrice')">{{ "ByPrice" | localize }}</button>
        <img  [ngClass]="byPriceAsc ? 'img-sort-asc' : 'collapse-img'" src="assets/arrow-up.png">
        <img [ngClass]="byPriceDesc ? 'img-sort-desc' : 'collapse-img'" src="assets/arrow-up.png">

        <button [ngClass]="byDateAsc || byDateDesc ? 'sort-shop-button-selected' : 'sort-shop-button'" (click)="onSort('byDate')">{{ "ByDate" | localize }}</button>
        <img  [ngClass]="byDateAsc ? 'img-sort-asc' : 'collapse-img'" src="assets/arrow-up.png">
        <img [ngClass]="byDateDesc ? 'img-sort-desc' : 'collapse-img'" src="assets/arrow-up.png">
    </div>
</div>